PostgreSQL 8.3.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER TEXT SEARCH PARSER

## Name

ALTER TEXT SEARCH PARSER -- change the definition of a text search parser

## Synopsis

    ALTER TEXT SEARCH PARSER name RENAME TO newname

## Description

`ALTER TEXT SEARCH PARSER` changes the definition of a text search parser. Currently, the only supported functionality is to change the parser's name.

You must be a superuser to use `ALTER TEXT SEARCH PARSER`.

## Parameters

`name`

  The name (optionally schema-qualified) of an existing text search parser.

`newname`

  The new name of the text search parser.

## Compatibility

There is no `ALTER TEXT SEARCH PARSER` statement in the SQL standard.

## See Also

CREATE TEXT SEARCH PARSER, DROP TEXT SEARCH PARSER

Prev | Home | Next
ALTER TEXT SEARCH DICTIONARY | Up | ALTER TEXT SEARCH TEMPLATE